import type { Config } from 'tailwindcss'
import standard from 'via-tailwind'

const config: Config = {
  darkMode: 'class',
  content: [
    './src/**/*.{js,ts,jsx,tsx,mdx}'
  ],
  theme: {
    extend: {
      colors: {
        'theme-text': {
          principal: '#334155',
          disabled: '#cbd5e1'
        },
        'theme-app': {
          50: '#DDE3EB',
          100: '#B0C4D6',
          200: '#83A5C1',
          300: '#5686AC',
          400: '#296897',
          500: '#1E507B',
          600: '#1B4870',
          700: '#183F64',
          800: '#153758',
          900: '#112F4D',
          950: '#0E2741'
        }
      }
    }
  },
  plugins: [standard]
}
export default config
